jQuery(function($){

  jQuery(document).ready(function() {

    $("#video_type").on('change', function(){

      if(this.value === 'library') {
        jQuery('#video_media_upload_row').css('display', 'table-row');
        jQuery('#video_media_preview_row').css('display', 'table-row');
        jQuery('#library-youtube-video').css('display', 'none');
        jQuery('#library-vimeo-video').css('display', 'none');
      }

      if(this.value === 'youtube') {
        jQuery('#library-youtube-video').css('display', 'table-row');
        jQuery('#video_media_upload_row').css('display', 'none');
        jQuery('#video_media_preview_row').css('display', 'none');
        jQuery('#library-vimeo-video').css('display', 'none');
      }

      if(this.value === 'vimeo') {
        jQuery('#library-vimeo-video').css('display', 'table-row');
        jQuery('#video_media_upload_row').css('display', 'none');
        jQuery('#video_media_preview_row').css('display', 'none');
        jQuery('#library-youtube-video').css('display', 'none');
      }

      if(this.value === '0') {
        jQuery('#library-vimeo-video').css('display', 'none');
        jQuery('#video_media_upload_row').css('display', 'none');
        jQuery('#video_media_preview_row').css('display', 'none');
        jQuery('#library-youtube-video').css('display', 'none');
      }

      return false;
    });

  });

  var numChoices = 1;

  jQuery('#add_choice_button').on('click', function(){

    console.log('test');

    jQuery.ajax({
      type: 'GET',
      url: 'admin-ajax.php?action=entusiastics_add_choice_ajax&entusiastics_add_choice_ajax=add',
      success: function(response) {
        html = response;
        numChoices++;
        html = html.replace('name="numChoices" value="1"', 'name="numChoices" value="'+numChoices+'"');
        jQuery('#answerRows').append(html);
      }
    });
  });

  jQuery('#qtype').on('change', function(){
    this.value == 'radio' ? jQuery('#entusiasticsAutoContinue').fadeIn() : jQuery('#entusiasticsAutoContinue').fadeOut();
    this.value == 'radio' ? jQuery('#entusiastics-simbol-row').fadeIn() : jQuery('#entusiastics-simbol-row').fadeOut();
  });

  jQuery("#entusiastics-question-form").submit(function( event ) {

    event.preventDefault();

    var $inputs = $('#entusiastics-question-form :input');

    if(!jQuery.trim(jQuery('#question').val())) {

      jQuery('#question_notice').css('display', 'block');

      jQuery('html, body').animate({
        scrollTop: '0px'
      }, 1000, function(){
        jQuery('textarea[id="question"]').focus();
        jQuery('#entusiastics-question-form').addClass('form-invalid');
      });

      return false;
    }

    var values = {};
    $inputs.each(function() {
      values[this.name] = $(this).val();
    });

    if(values['video_type'] != '0') {

      let error = false;

      if(values['video_type'] == 'youtube') {

        if(values['video_url_youtube'] == '') {
          error = true;
        } else {
          jQuery('#video_url').val(values['video_url_youtube']);
        }

      }

      if(values['video_type'] == 'vimeo') {

        if(values['video_url_vimeo'] == '') {
          error = true;
        } else {
          jQuery('#video_url').val(values['video_url_vimeo']);
        }

      }

      if(values['video_type'] == 'library') {

        if(values['video_url'] == '') {
          error = true;
        }

      }

      if(error) {
        jQuery('#video_type_notice').css('display', 'block');

        jQuery('html,body').animate({
          scrollTop: '0px'
        }, 1000, function(){
          jQuery('input [name="video_type"]').focus();
          jQuery('#entusiastics-question-form').addClass('form-invalid'); 
        });

        return false;
      }

    }

    this.submit();

  });

  // Remove errors class from Form when focus on input
  jQuery('#entusiastics-question-form input').on('focus', function(){

    jQuery('#entusiastics-question-form').removeClass('form-invalid');

    jQuery(".notice notice-error").each(function(){
      jQuery(this).fadeOut(); 
    });

  });

});

jQuery(function($){

  // Set all variables to be used in scope
  var frame,
  metaBox = $('#entusiastics-image-uploader'),
  metaBoxPreview = $('#entusiastics-image-uploader-preview'),
  addImgLink = metaBox.find('.upload-custom-img'),
  delImgLink = metaBox.find( '.delete-custom-img'),
  delImgBadge = metaBox.find( '.delete-custom-badge'),
  imgUrlInput = metaBox.find('#image_url'),
  imgIdInput = metaBox.find( '#image_id'),
  imagePreview = metaBoxPreview.find('#image-preview'),
  imagePreviewNoImage = metaBoxPreview.find('#image-preview-no-image');
  
  // ADD IMAGE LINK
  addImgLink.on( 'click', function( event ){

    event.preventDefault();

    // If the media frame already exists, reopen it.
    if ( frame ) {
      frame.open();
      return;
    }
    
    // Create a new media frame
    frame = wp.media({
      title: $('#media_title_text').val(),
      button: {
        text: $('#media_text_button').val()
      },
      multiple: false
    });

    
    // When an image is selected in the media frame...
    frame.on( 'select', function() {

      // Get media attachment details from the frame state
      var attachment = frame.state().get('selection').first().toJSON();

      var thumb = attachment.sizes.thumbnail.url;

      // Send the attachment URL to our custom image input field.
      imagePreview.append('<img src="'+ thumb +'" alt="" />');

      imagePreview.removeClass('hidden');

      // Send the attachment id to our hidden input
      imgIdInput.val(attachment.id);

      // Send the attachment url to our hidden input
      imgUrlInput.val(attachment.url);

      // Hide the add image link
      addImgLink.addClass('hidden');

      // Unhide the remove image link
      delImgLink.removeClass('hidden');

      // Hide preview box text
      imagePreviewNoImage.addClass('hidden');
    });

    // Finally, open the modal on click
    frame.open();
  });
  
  
  // DELETE IMAGE LINK
  delImgLink.on('click', function(e){

    e.preventDefault();

    // Clear out the preview image
    imagePreview.find('img').remove();

   // Hide the preview image
   imagePreview.addClass('hidden');

    // Un-hide the add image link
    addImgLink.removeClass('hidden');

    // Hide the delete image link
    delImgLink.addClass('hidden');

    // Delete the image id from the hidden input
    imgIdInput.val('');

     // Delete the image url from the hidden input
     imgUrlInput.val('');

    // Un-hide preview text
    imagePreviewNoImage.removeClass('hidden');

  });


  // DELETE IMAGE LINK
  jQuery('.delete-custom-badge').on('click', function(e){

    e.preventDefault();

    // Clear out the preview image
    imagePreview.find('img').remove();

    // Hide the preview image
    imagePreview.addClass('hidden');

    // Un-hide the add image link
    addImgLink.removeClass('hidden');

    // Hide the delete image link
    delImgLink.addClass('hidden');

    // Delete the image id from the hidden input
    imgIdInput.val('');

   // Delete the image url from the hidden input
   imgUrlInput.val('');

    // Un-hide preview text
    imagePreviewNoImage.removeClass('hidden');

  });

});


jQuery(function($){

  // Set all variables to be used in scope
  var frame,
  metaBox = $('#entusiastics-video-uploader'),
  metaBoxPreview = $('#entusiastics-video-uploader-preview'),
  addVideoLink = metaBox.find('.upload-custom-video'),
  delVideoLink = metaBox.find( '.delete-custom-video'),
  delVideoBadge = metaBox.find( '.delete-custom-badge-video'),
  videoUrlInput = metaBox.find('#video_url'),
  videoIdInput = metaBox.find( '#video_id'),
  videoPreview = metaBoxPreview.find('#video-preview'),
  videoPreviewNoVideo = metaBoxPreview.find('#video-preview-no-video'),
  videoUrlInputText = metaBoxPreview.find('#video_url_text');
  
  // ADD IMAGE LINK
  addVideoLink.on( 'click', function( event ){

    event.preventDefault();

    // If the media frame already exists, reopen it.
    if ( frame ) {
      frame.open();
      return;
    }
    
    // Create a new media frame
    frame = wp.media({
      title: $('#media_video_title_text').val(),
      button: {
        text: $('#media_video_text_button').val()
      },
      library: {
        type: [ 'video' ]
      },
      multiple: false
    });

    
    // When an video is selected in the media frame...
    frame.on( 'select', function() {

      // Get media attachment details from the frame state
      var attachment = frame.state().get('selection').first();

      console.log(attachment);

      var thumb = attachment.attributes.thumb.src;

      // Send the attachment URL to our custom image input field.
      videoPreview.append('<img src="'+ thumb +'" alt="" />');

      videoPreview.removeClass('hidden');

      // Send the attachment id to our hidden input
      videoIdInput.val(attachment.attributes.id);

      // Send the attachment url to our hidden input
      videoUrlInput.val(attachment.attributes.url);

      videoUrlInputText.html(attachment.attributes.url);

      // Hide the add video link
      addVideoLink.addClass('hidden');

      // Unhide the remove video link
      delVideoLink.removeClass('hidden');

      // Hide preview box text
      videoPreviewNoVideo.addClass('hidden');
    });

    // Finally, open the modal on click
    frame.open();
  });
  
  
  // DELETE IMAGE LINK
  delVideoLink.on( 'click', function( event ){

    event.preventDefault();

    // Clear out the preview video
    videoPreview.find('img').remove();

   // Hide the preview video
   videoPreview.addClass('hidden');

    // Un-hide the add video link
    addVideoLink.removeClass('hidden');

    // Hide the delete video link
    delVideoLink.addClass('hidden');

    // Delete the video id from the hidden input
    videoIdInput.val('');

     // Delete the video url from the hidden input
     videoUrlInput.val('');

    // Un-hide preview text
    videoPreviewNoImage.removeClass('hidden');

  });


  // DELETE IMAGE LINK
  jQuery('body').on( 'click', '.delete-custom-badge-video', function( event ){

    event.preventDefault();

    // Clear out the preview video
    videoPreview.find('img').remove();

    // Hide the preview video
    videoPreview.addClass('hidden');

    // Un-hide the add video link
    addVideoLink.removeClass('hidden');

    // Hide the delete video link
    delVideoLink.addClass('hidden');

    // Delete the video id from the hidden input
    videoIdInput.val('');

   // Delete the video url from the hidden input
   videoUrlInput.val('');

    // Un-hide preview text
    videoPreviewNoVideo.removeClass('hidden');

  });

});