<?php

/**
 * Landig page of admin area
 *
 * This file is used to landing page of plugin admin area.
 *
 * @link       https://entusiastics.com
 * @since      1.0.0
 *
 * @package    Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/admin/partials
 */


?>

<div class="entusiastics-result-wrapper">

	<div class="entusiastics-connotation-header-wrapper">

		<h3 class="entusiastics-connotation-header">
			<?php _e('Indicadores Baja Calidad', 'entusiastics-quiz-game') ?>
		</h3>

		<div class="entusiastics-connotation-counter">
			<div class="entusiastics-connotation-counter-wrapper negative">
				<span><?php echo count($args['results_negative']); ?>/<?php echo count($args['results']); ?></span>
			</div>
		</div>

	</div>

	<div class="entusiastics-indicators-container">

		<?php

		if(count ($args['results_negative']) != 0){

			foreach ($args['results_negative'] as $key => $result) { ?>

				<div class="entusiastics-indicator-item">

					<div class="entusiastics-indicator-item-top">

						<div class="entusiastics-indicator-item-left">

							<a href="admin.php?page=entusiastics-quiz-game-profile&action=edit&id=<?php echo $result['profile']->id; ?>" title="<?php _e('Ver Perfil', 'entusiastics-quiz-game')?>">
								<h4 class="entusiastics-indicator-item-title">
									<?php echo $result['profile']->name; ?>
								</h4>
							</a>

							<a href="#" alt="" class="entusiastics-indicator-accordion-button">
								<span class="entusiastics-indicator-accordion-button-text">
									<?php _e('Más info', 'entusiastics-quiz-game'); ?>
								</span>
								<span class="entusiastics-indicator-accordion-button-icon">+</span>
							</a>

						</div>

						<div class="entusiastics-indicator-item-right">
							<div id="negative-chart" class="donut-size negative-chart">
								<div class="pie-wrapper">
									<span class="label">
										<span class="num">0</span><span class="smaller">%</span>
									</span>
									<div class="pie">
										<div class="left-side half-circle"></div>
										<div class="right-side half-circle"></div>
									</div>
									<div class="shadow"></div>
								</div>
							</div>
						</div>

					</div>

					<div class="entusiastics-indicator-item-bottom">

						<div class="entusiastics-indicator-item-panel">
							<span class="entusiastics-indicator-item-panel-text">
								<?php echo $result['profile']->profile_description; ?>
							</span>
						</div>

					</div>

					<div class="entusiastics-result-answer-wrapper">

						<h3 class="title"><?php _e('Respuesta elegida', 'entusiastics-quiz-game'); ?>:</h3>

						<div class="entusiastics-result-answer">
							<span class="entusiastics-result-answer-text">
								<?php echo $result['answer']->choice; ?>
							</span>
						</div>

					</div>

				</div>

			<?php } 
		} else {

			?>

			<div class="entusiastics-result-empty">
				<p><?php echo _('No hay ningún resultado con Indicadores de Baja Calidad ') ; ?></p>
			</div>

			<?php
		}


		?>

	</div>

</div>