<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://entusiastics.com
 * @since      1.0.0
 *
 * @package    Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/admin/partials
 */


?>

<div class="wrap">

	<h1 class="wp-heading-inline">
		<?php printf(__('Añadir/Editar Pregunta del Quiz "%s"', 'entusiastics-quiz-game'), @$quiz->title)?>
	</h1>

	<ul class="header-links-list">

		<li>

			<a href="admin.php?page=entusiastics-quiz-game-quizzes">
				<?php _e('Volver a los quizzes', 'entusiastics-quiz-game')?>
			</a>

		</li>
		<span>|</span>
		<li>	
			<a href="admin.php?page=entusiastics-quiz-game-questions&quiz_id=<?php echo $quiz->id?>">
				<?php _e('Volver a las preguntas', 'entusiastics-quiz-game')?>
			</a>
		</li>
		<span>|</span>
		<a href="admin.php?page=entusiastics-quiz-game-quizzes&action=edit&id=<?php echo $quiz->id?>">
			<?php _e('Editar este Quiz', 'entusiastics-quiz-game')?>
		</a>
	</ul>

	<hr class="wp-header-end">

	<form id="entusiastics-question-form" method="post">

		<table class="form-table fixed">

			<tbody>

				<tr>
					<th>
						<label for="question">
							<?php _e('Lo que el interlocutor te dice', 'entusiastics-quiz-game')?>
						</label>
					</th>

					<td>
						<?php echo wp_editor(@$question->question, 'question')?>
						<p class="description">
							<?php _e('La pregunta que se mostrará en la web.', 'entusiastics-quiz-game')?>
						</p>
					</td>
				</tr>

				<tr>
					<th>
						<label for="video_type">
							<?php _e('URL del video de la pregunta', 'entusiastics-quiz-game')?>
						</label>
						<input id="video_url" type="hidden" data-video="media" name="video_url" value="">
						<input id="video_id" type="hidden" data-video="media" name="video_id" value="">
					</th>
					<td>
						<select name="video_type" id="video_type">
							<option value="0"><?php _e('Sin video', 'entusiastics-quiz-game')?></option>
							<option value="library" <?php echo @$question->video_type == 'library' ? 'selected' : '' ?>><?php _e('Biblioteca de Medios (Video alojado en el propio servidor)', 'entusiastics-quiz-game')?></option>
							<option value="youtube" <?php echo  @$question->video_type == 'youtube' ? 'selected' : '' ?>><?php _e('Youtube', 'entusiastics-quiz-game')?></option>
							<option value="vimeo" <?php echo @$question->video_type == 'vimeo' ? 'selected' : '' ?>><?php _e('Vimeo', 'entusiastics-quiz-game')?></option>
						</select>
						<p class="description">
							<?php _e('Seleccione el tipo de video que va ha utilizar, si quiere realizar una pregunta con Video. (No seleccionar ningun tipo si no se quiere video en la pregunta).', 'entusiastics-quiz-game')?>
						</p>
					</td>
				</tr>

				<tr id="library-youtube-video" style="display:<?php echo @$question->video_type == 'youtube' ? '' : 'none' ?>">
					<th>
						<label for="video_url_youtube">
							<?php _e('Codigo Identidicador video Youtube', 'entusiastics-quiz-game')?>
						</label>
					</th>

					<td>
						<input type="text" name="video_url_youtube" data-video="youtube" size="40" value="<?php echo @$question->video_url ?>" />
						<p class="description">
							<?php _e('Insertar el código que viene con el enlace del video de Youtube. https://www.youtube.com/watch?v=xxxxxxxxxxx', 'entusiastics-quiz-game')?>
						</p>
					</td>
				</tr>

				<tr id="library-vimeo-video" style="display:<?php echo @$question->video_type == 'vimeo' ? '' : 'none' ?>">

					<th>
						<label for="video_url_vimeo">
							<?php _e('URL del video de Vimeo.', 'entusiastics-quiz-game')?>
						</label>
					</th>

					<td>
						<input type="text" name="video_url_vimeo" data-video="vimeo" size="40" value="<?php echo @$question->video_url?>" />
						<p class="description">
							<?php _e('Introduzca la url del video de vimeo.', 'entusiastics-quiz-game')?>
						</p>
					</td>

				</tr>

				<tr id="video_media_upload_row" style="display:<?php echo @$question->video_type == 'library' ? '' : 'none' ?>">
					<th scope="row">
						<label>
							<?php _e('Video de la Biblioteca de Medios', 'entusiastics-quiz-game')?>
						</label>
					</th>

					<td>
						<div id="entusiastics-video-uploader">
							<input id="media_video_title_text" type="hidden" value="<?php _e('Seleccione o suba el video de su elección', 'entusiastics-quiz-game') ?>">
							<input id="media_video_text_button" type="hidden" value="<?php _e('Usar este video', 'entusiastics-quiz-game') ?>">

							<?php if( $video = wp_get_attachment_image_src( @$question->video_id ) ) { ?>

								<a href="#" class="upload-custom-video hidden button-primary">
									<?php echo _e('Subir video', 'entusiastics-quiz-game'); ?>
								</a>

								<a href="#" class="delete-custom-video button-primary">
									<?php echo _e('Eliminar video', 'entusiastics-quiz-game'); ?>
								</a>

								<input id="video_url" type="hidden" data-video="media" name="video_url" value="' . $video_url . '">
								<input id="video_id" type="hidden" data-video="media" name="video_id" value="' . $video_id . '">

							<?php } else { ?>

								<a href="#" class="upload-custom-video button-primary">
									<?php echo _e('Subir video', 'entusiastics-quiz-game'); ?>
								</a>

								<a href="#" class="delete-custom-video hidden button-primary">
									<?php echo _e('Eliminar video', 'entusiastics-quiz-game'); ?>
								</a>

							<?php } ?>
						</td>
					</tr>

					<tr id="video_media_preview_row" style="display:none">
						<th scope="row">
						</th>

						<td id="entusiastics-video-uploader-preview">

							<?php if($video = wp_get_attachment_image_src(@$question->video_id)) { ?>

								<a href="#" class="upload-custom-img">

									<div id='video-preview' class='entusiastics-video-preview-wrapper'>

										<div class="badge">
											<a class="badge-link" href="#" class="delete-custom-badge-video">X</a>
										</div>

										<img src='<?php echo $video[0] ?>' />

									</div>

								</a>

							<?php } else { ?>

								<div id='video-preview' class='entusiastics-video-preview-wrapper hidden'>
									<span id="video_url_text"></span>
								</div>

								<div id='video-preview-no-video' class='entusiastics-video-preview-wrapper no-video'>
									<span class="preview-text">
										<?php _e('Ningún video seleccionado')?>
									</span>
								</div>

							<?php } ?>

							<p class="description">
								<?php _e('Video del Quiz.', 'entusiastics-quiz-game') ?>
							</p>
						</td>
					</tr>

					<tr>
						<th scope="row">
							<label for="video_ends">
								<?php _e('Opciones del video','entusiastics-quiz-game') ?>
							</label>
						</th>
						<td>
							<span id="video_ends" style="display: inline">
								<input type="checkbox" name="video_ends" value="1" <?php echo @$question->video_ends == '1' ? 'checked' : '' ?>/> 
								<?php _e('Esperar a que el video termine para mostrar las preguntas.')?>
							</span>
						</td>
					</tr>

					<tr>
						<th scope="row">
							<label>
								<?php _e('Imagen de la Pregunta.', 'entusiastics-quiz-game')?>
							</label>
						</th>

						<td>

							<div id="entusiastics-image-uploader">
								<input id="media_title_text" type="hidden" value="<?php _e('Seleccione o suba la imagen de su elección', 'entusiastics-quiz-game') ?>">
								<input id="media_text_button" type="hidden" value="<?php _e('Usar esta imagen', 'entusiastics-quiz-game') ?>">

								<?php if( $image = wp_get_attachment_image_src( @$question->image_id ) ) { ?>

									<a href="#" class="upload-custom-img hidden button-primary">
										<?php echo _e('Subir imagen', 'entusiastics-quiz-game'); ?>
									</a>

									<a href="#" class="delete-custom-img button-primary">
										<?php echo _e('Eliminar imagen', 'entusiastics-quiz-game'); ?>
									</a>

									<input id="image_url" type="hidden" name="image_url" value="<?php echo @$question->image_url; ?>">
									<input id="image_id" type="hidden" name="image_id" value="<?php echo @$question->image_id; ?>">

								<?php } else { ?>

									<a href="#" class="upload-custom-img button-primary">
										<?php echo _e('Subir imagen', 'entusiastics-quiz-game'); ?>
									</a>

									<a href="#" class="delete-custom-img hidden button-primary">
										<?php echo _e('Eliminar imagen', 'entusiastics-quiz-game'); ?>
									</a>

									<input id="image_url" type="hidden" name="image_url" value="">
									<input id="image_id" type="hidden" name="image_id" value="">

								<?php } ?>
							</td>
						</tr>

						<tr>
							<th scope="row">
							</th>

							<td id="entusiastics-image-uploader-preview">

								<?php if($image = wp_get_attachment_image_src(@$question->image_id)) { ?>

									<a href="#" class="upload-custom-img">

										<div id='image-preview' class='entusiastics-image-preview-wrapper'>

											<div class="badge">
												<a class="badge-link" href="#;" class="delete-custom-badge">X</a>
											</div>

											<img src='<?php echo $image[0] ?>' />

										</div>

									</a>

								<?php } else { ?>

									<div id='image-preview' class='entusiastics-image-preview-wrapper hidden'>
										<div class="badge">
											<a class="badge-link" href="#;" class="delete-custom-badge">X</a>
										</div>
									</div>

									<div id='image-preview-no-image' class='entusiastics-image-preview-wrapper no-image'>
										<span class="preview-text">
											<?php _e('Sin Imagen', 'entusiastics-quiz-game') ?>
										</span>
									</div>

								<?php } ?>

								<p class="description">
									<?php _e('Seleccionar una imagen para mostrar junto a la pregunta, se puede combinar con el video. Dejar en blanco para no utilizar imagen.', 'entusiastics-quiz-game') ?>
								</p>
							</td>
						</tr>

						<tr>
							<th>
								<label for="question_aclaration">
									<?php _e('Aclaración Pregunta', 'entusiastics-quiz-game')?>
								</label>
							</th>
							<td>
								<p>
									<?php echo wp_editor(stripslashes(@$question->question_aclaration), 'question_aclaration')?>
								</p>
							</td>
						</tr>

						<tr>
							<th>
								<label>
									<?php _e('Tipo de pregunta:', 'entusiastics-quiz-game')?>
								</label>
							</th>
							<td>
								<select id="qtype" name="qtype">

									<option value="radio" <?php if(!empty($question->id) and $question->qtype == 'radio') echo 'selected'?>>
										<?php _e('Radio buttons (una posible respuesta)','entusiastics-quiz-game')?>
									</option>

									<option value="checkbox" <?php if(!empty($question->id) and $question->qtype == 'checkbox') echo 'selected'?>>
										<?php _e('Checkboxes (múltiples respuestas posibles)','entusiastics-quiz-game')?>
									</option>

									<option value="text" <?php if(!empty($question->id) and $question->qtype == 'text') echo 'selected'?>>
										<?php _e('Caja de texto (pregunta de ensayo, abierta)','entusiastics-quiz-game')?>
									</option>

								</select>
							</td>
						</tr>

						<tr id="entusiasticsAutoContinue" style="display:<?php echo (empty($question->id) or $question->qtype == 'radio') ? 'table-row' : 'none';?>">
							<th></th>
							<td>
								<input type="checkbox" name="autocontinue" value="1" <?php if(!empty($question->autocontinue)) echo 'checked'?> /> 
								<span>
									<?php _e('Pausar auto continuar. Seleccionando esta casilla, al presionar sobre una respuesta saldra un botón para poder continuar pausando la interacción, por defecto al seleccionar una pregunta el quiz avanza automaticamente.', 'entusiastics-quiz-game')?>
								</span>
							</td>
						</tr>

						<tr id="entusiastics-simbol-row" style="display:<?php echo (empty($question->id) or $question->qtype == 'radio') ? 'table-row' : 'none';?>">
							<th scope="row">
								<label>
									<?php _e('Simbolo de la pregunta', 'entusiastics-quiz-game')?>
								</label>
							</th>
							<td>
								<fieldset>
									<legend class="screen-reader-text">
										<span><?php _e('Simbolo de la pregunta', 'entusiastics-quiz-game')?></span>
									</legend>

									<label for="letters">
										<input type="radio" id="letters" name="symbol" value="letters" checked>
										<span class="date-time-text">
											<?php _e('Letras', 'entusiastics-quiz-game'); ?>	
										</span>
										<br>
									</label>

									<label for="numbers">
										<input type="radio" id="numbers" name="symbol" value="numbers">
										<span for="numbers">
											<?php _e('Números', 'entusiastics-quiz-game'); ?>	
										</span>
										<br>
									</label>
									
									<fieldset>
										<p class="description">
											<?php _e('Selecciona el tipo de viñeta que aparecera al lado de las respuestas (Letras o Números)', 'entusiastics-quiz-game') ?>
										</p>
									</td>
								</tr>

							</tbody>

						</table>

						<h3>
							<?php _e('Respuestas de la Pregunta', 'entusiastics-quiz-game')?>
						</h3>

						<p> 
							<input type="button" value="<?php _e('Añadir otra Respuesta', 'entusiastics-quiz-game')?>" id="add_choice_button" class="button" />
						</p>

						<div id="answerRows">
							<?php 

							if(!empty($choices) and sizeof($choices)):

								foreach($choices as $choice):
									include(ENTUSIASTICS_QUIZ_GAME_PLUGIN_PATH."admin/partials/entusiastics-quiz-game-choice.php");
								endforeach;

							endif;

							unset($choice);

							include(ENTUSIASTICS_QUIZ_GAME_PLUGIN_PATH."admin/partials/entusiastics-quiz-game-choice.php");

							?>

						</div>

						<p>
							<input type="submit" value="<?php _e('Guardar preguntas y respuestas','entusiastics-quiz-game')?>" class="button-primary">
						</p>

						<input type="hidden" name="ok" value="1" />
						<input type="hidden" id="quiz_id" name="quiz_id" value="<?php echo $quiz->id?>" />

						<?php wp_nonce_field('entusiastics_quiz_game_question');?>

					</form>

					<div id="question_notice" class="notice notice-error" style="display: none">
						<p><?php _e('Lo que el interlocutor te dice, no puede estar vacío.', 'entusiastics-quiz-game')?></p>
					</div>

					<div id="video_type_notice" class="notice notice-error" style="display: none">
						<p><?php _e('Si seleccionas un tipo de video debes añadir la url o seleccionar un video de la biblioteca.', 'entusiastics-quiz-game')?></p>
					</div>


				</div>