<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://entusiastics.com
 * @since      1.0.0
 *
 * @package    Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/admin/partials
 */


?>

<div class="wrap">

	<h1 class="wp-heading-inline">
		<?php _e('Listado de Juegos', 'entusiastics-quiz-game')?>
	</h1>

	<a href="admin.php?page=entusiastics-quiz-game-quizz&action=add" class="page-title-action">
		<?php _e('Crear un nuevo Quizz', 'entusiastics-quiz-game')?>
	</a>

	<hr class="wp-header-end">
	
	<div class="postbox-container">

		<form method="post">
			<input type="hidden" id="message_delete" value="<?php _e('Estas seguro?', 'entusiastics-quiz-game')?>">
			<input type="hidden" name="page" value="quizzes_list_table">
			<?php

			$quizzes_list_table->search_box( __('Buscar', 'entusiastics-quiz-game'), 'search_id' );

			$quizzes_list_table->display(); 

			?>
		</form>

		<div>
			<p><?php _e('Nota: si el título de un cuestionario no tiene hipervínculos, esto significa que aún no ha publicado su código corto (shortcode). Debe colocar el código corto (shortcode) en una publicación o página para que el cuestionario sea accesible al público.', 'entusiastics-quiz-game')?></p>
		</div>

	</div>

	<?php if(!empty($copy_msg)) {
		echo '<p>Copiado con éxito</p>';
	} ?>

</div>

<br class="clear">
<script>
	function copyShortcodeToCliboard($id) {
		/* Get the text field */
		var copyText = document.getElementById("shortcode-" + $id);

		/* Select the text field */
		copyText.select();
		copyText.setSelectionRange(0, 99999); /*For mobile devices*/

		/* Copy the text inside the text field */
		document.execCommand("copy");

		var message_alert = document.getElementById("span-shortcode-" + $id);

		/* Alert the copied text */
		message_alert.style.display = 'table';

		setTimeout(function(){
			message_alert.style.display = 'none';
		}, 1000);
	}
</script>