<?php

/**
 * The template Quizz.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/public/templates
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

$button_state = '';

if($args['error'] == 2) {
	$button_state = 'disabled';
}

?>

<style>
	#site-header {
		display: none!important;
	}

	.entry-header {
		display: none!important;
	}

	#site-footer {
		display: none!important;
	}

	.footer-nav-widgets-wrapper {
		display: none!important;
	}
</style>

<div id="entusiastics-main-quiz-div-<?php echo $args['quiz']->id ?>" class="entusiastics-quiz-container">

	<div class="entusiastics-quizz-wrapper">

		<form method="post" id="entusiastics-quiz-form-<?php echo $args['quiz']->id?>" >
			<input type="hidden" name="quiz_id" value="<?php echo $args['quiz']->id?>">
			<input type="hidden" name="post_id" value="<?php echo $args['post']->ID?>">

			<div class="entusiastics-title-wrapper">

				<div id="entusiastics-title-block" class="entusiastics-title-block" style="background-color: <?php echo $args['quiz']->theme_color ?>;background-image: url('<?php echo esc_url($args['quiz']->image_url); ?>');">

					<?php if($args['quiz']->image_url != ''){ ?>
						<div id="entusiastics-title-overlay" style="background-color: <?php echo $args['quiz']->theme_color ?>;"></div>
					<?php } ?>

					<div class="entusiastics-quiz-back-button-wrapper">
						<a href="<?php echo get_site_url();?>/play" id="entusiastics-back-button" class="entusiastics-quiz-back-button" alt="<?php echo _e('Volver', 'entusiastics-quiz-game'); ?>">
							<span class="entusiastics-quiz-back-button-arrow-icon">
								<img src="<?php echo esc_url(ENTUSIASTICS_QUIZ_GAME_PUBLIC_URL.'assets/images/arrow-left.svg'); ?>" alt="<?php echo _e('Volver', 'entusiastics-quiz-game'); ?>">
							</span>
							<span>
								<?php echo _e('Volver', 'entusiastics-quiz-game'); ?>
							</span>	
						</a>
					</div>

					<div class="entusiastics-quiz-title">
						<h2><?php echo $args['quiz']->title ?></h2>
					</div>

					<div class="entusiastics-quiz-intro-text">
						<p><?php echo $args['quiz']->intro_text ?></p>
					</div>

					<div class="entusiastics-quiz-duration">
						<span class="duration-icon">
							<img src="<?php echo esc_url(ENTUSIASTICS_QUIZ_GAME_PUBLIC_URL.'assets/images/reloj.svg'); ?>" alt="Clock Icon" />
						</span>
						<span class="duration-text"><?php echo $args['quiz']->duration ?></span>
					</div>

					<div class="entusiastics-quizz-title-button">
						<button type="button" class="entusiastics-start-game-button" id="entusiastics-quiz-action-<?php echo $args['quiz']->id?>" onclick="entusiasticsQuizGame.startQuiz(<?php echo $args['quiz']->id?>, '<?php echo admin_url('admin-ajax.php')?>');" <?php echo $button_state ?>>
							<?php _e('Empezar el juego','entusiastics-quiz-game') ?>
						</button>
					</div>


				</div>

			</div>

			<div class="entusiastics-quiz__body-block">

				<div class="entusiastics-quiz__description">
					<p class="">
						<?php echo $args['quiz']->description_text; ?>
					</p>
				</div>

				<div class="entusiastics-quizz-start-button">
					<button type="button" class="entusiastics-start-game-button" id="entusiastics-quiz-action-<?php echo $args['quiz']->id?>" onclick="entusiasticsQuizGame.startQuiz(<?php echo $args['quiz']->id?>, '<?php echo admin_url('admin-ajax.php')?>');" <?php echo $button_state ?>>
						<?php _e('Empezar el juego','entusiastics-quiz-game') ?>
					</button>
				</div>

				<div class="entusiastics-quiz-game-objectives">

					<?php

					if(!empty($args['objectives'])) {

						?> 

						<div class="objectives-row"> 

							<?php

							$counter = 0;

							foreach ($args['objectives'] as $objective) { ?>

								<div class="objective-item">

									<div class="objective-title">
										<h5><?php echo $objective->name ?></h5>
									</div>

									<div class="objective-text">
										<p><?php echo $objective->description ?></p>
									</div>

								</div>

								<?php
								$counter++;  
								if($counter % 2 == 0 && $counter != count($args['objectives'])) {

									?></div><div class="objectives-row"><?php
								}
							}

						}

						?>

					</div>

				</div>

				<div class="entusiastics-quizz-start-button">
					<button type="button" class="entusiastics-start-game-button" href="#" id="entusiastics-quiz-action-<?php echo $args['quiz']->id?>" onclick="entusiasticsQuizGame.startQuiz(<?php echo $args['quiz']->id?>, '<?php echo admin_url('admin-ajax.php')?>');" <?php echo $button_state ?>>
						<?php _e('Empezar el juego','entusiastics-quiz-game') ?>
					</button>
				</div>

			</div>

		</form>

	</div>

	<?php 

	if(!empty($args['related_quizzes'])): 
		include 'partials/quiz-related_quizzes.php';
	endif;

	?>

	<div id="entusiasticsLoading" class="entusiastics-loader-container">

		<div class="entusiastics-loader-spinner-wrapper">
			<div class="entusiastics-loader-spinner"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
		</div>

		<div class="entusiastics-loader-text-wrapper">
			<span class="entusiastics-loader-text">
				<?php _e('Empezando Quiz...','entusiastics-quiz-game'); ?>
			</span>
		</div>

	</div>

</div>