<?php

/**
 * The template for game front page.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/public/templates
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly 

?>

<div class="entusiastic-question-header" style="background-color: <?php echo $args['quiz']->theme_color ?>">

	<div class="entusiastic-question-header-wrapper">

		<div class="entusiastic-question-header-inner">

			<div class="entusiastic-question-title">
				<h1 class="entusiastic-question-title-text">
					<?php echo $args['quiz']->title ?>
				</h1>
			</div>

			<div class="entusiastic-question-close">
				<a id="entusiastics-close-quiz-button" href="#" class="entusiastic-question-cross"></a>
			</div>

		</div>

	</div>

</div>

<div class="entusiastics-last-choice-video-container">

	<div class="entusiastics-video-wrapper">

		<?php if($args['choice']->video_url != ''): ?>

			<div class="entusiastics-video-title-wrapper" style="visibility: hidden;">
				<h2 class="entusiastics-video-title">
					<?php echo $args['choice']->url ?>
				</h2>
			</div>

			<div class="entusiastics-video-content">

				<div class="entusiastics-choice-video">

					<?php if($args['choice']->video_type == 'youtube') { ?>

						<iframe src="https://www.youtube.com/embed/<?php echo $args['choice']->video_url ?>" width="738" height="470" frameborder="0"></iframe>

					<?php } 

					if($args['choice']->video_type == 'vimeo') { ?>

						<iframe src="<?php echo $args['choice']->video_url ?>" width="838" height="470" frameborder="0"></iframe>

					<?php }

					if($args['choice']->video_type == 'library') { ?>

						<video width="838" height="470" controls>
							<source src="<?php echo $args['choice']->video_url ?>" type="video/mp4"></source>
							<?php echo _e('Su navegador no soporta la etiqueta de vídeo.', 'entusiastics-quiz-game'); ?>
						</video>

					<?php } ?>

				</div>

			<?php endif;?>
		</div>

	</div>

</div>

<div class="entusiastics-choice-video-button-container">

	<div class="entusiastics-choice-video-button-wrapper">

		<a id="entusiastics_show_result_button" href="#" onclick="entusiasticsQuizGame.finalizeQuiz(<?php echo $args['quiz']->id?>, <?php echo $_SESSION['entusiastics_quiz_game_completion_id']; ?>, '<?php echo admin_url('admin-ajax.php')?>');" class="show-result-button">
			<?php _e('Mostrar resultados', 'entusiastics-quiz-game') ?>
		</a>
		<input type="hidden" id="last_profile" value="<?php echo @$args['last_profile']->name; ?>" />
		<input type="hidden" id="last_question" value="<?php echo @$args['last_question']->question; ?>" />
		<input type="hidden" id="last_connotation" value="<?php echo @$args['last_connotation']->connotation; ?>" />
		
	</div>

</div>

<?php include 'partials/question-modal.php'; ?>